aboutsummaryrefslogtreecommitdiff
path: root/.scripts
diff options
context:
space:
mode:
authorVidhu Kant Sharma <vidhukant@vidhukant.com>2023-11-06 00:44:47 +0530
committerVidhu Kant Sharma <vidhukant@vidhukant.com>2023-11-06 00:44:47 +0530
commit4ca410cb89d44b85bf0ac5413915e35ff460e4d2 (patch)
tree0daa79794ac6175cf47ebab19d483471315b5cd8 /.scripts
parent7f286b2a73f05f43f2d42b7f5be2cb7e43fd4118 (diff)
added betterlockscreen
Diffstat (limited to '.scripts')
-rwxr-xr-x.scripts/audio_dl.sh2
-rwxr-xr-x.scripts/screenrefresh17
2 files changed, 18 insertions, 1 deletions
diff --git a/.scripts/audio_dl.sh b/.scripts/audio_dl.sh
index 8e6c9eb..e13aebf 100755
--- a/.scripts/audio_dl.sh
+++ b/.scripts/audio_dl.sh
@@ -5,7 +5,7 @@ LINES=$(cat $FILE)
counter=1
for line in $LINES; do
- youtube-dl -x --audio-format mp3 "https://www.youtube.com/watch?v=$line" || echo "$line" >> "$FILE""_failed"
+ yt-dlp -x --audio-format opus "https://www.youtube.com/watch?v=$line" || echo "$line" >> "$FILE""_failed"
counter=$((counter+1))
tail -n "+$counter" "$FILE" > "$FILE""_remaining"
done
diff --git a/.scripts/screenrefresh b/.scripts/screenrefresh
new file mode 100755
index 0000000..f6e17e5
--- /dev/null
+++ b/.scripts/screenrefresh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+polystart="false"
+while getopts 'b' flag; do
+ case "${flag}" in
+ b) polystart="true" ;;
+ *) exit 1 ;;
+ esac
+done
+
+screensetup.sh
+
+nitrogen --restore
+
+if [ "$polystart" = "true" ]; then
+ polystart &
+fi